Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| HTML Parser Home Page
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.htmlparser.parserapplications.filterbuilder.wrappers
Class NodeClassFilterWrapper

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  org.htmlparser.parserapplications.filterbuilder.Filter
                      org.htmlparser.parserapplications.filterbuilder.wrappers.NodeClassFilterWrapper

All Implemented Interfaces:
  ActionListener, ImageObserver, MenuContainer, Serializable, Cloneable, EventListener, NodeFilter

    public class NodeClassFilterWrapper

extends Filter
implements ActionListener

Wrapper for NodeClassFilters.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`protected JComboBox` | `mClass` Combo box for strategy.
`protected NodeClassFilter` | `mFilter` The underlying filter.

Fields inherited from class org.htmlparser.parserapplications.filterbuilder.Filter
`mWrappers`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`NodeClassFilterWrapper()` Create a wrapper over a new NodeClassFilter.

Method Summary
`boolean` | `accept(Node node)` Predicate to determine whether or not to keep the given node.
`void` | `actionPerformed(ActionEvent event)` Invoked when an action occurs on the combo box.
`String` | `getDescription()` Get the name of the filter.
`String` | `getIconSpec()` Get the resource name for the icon.
`NodeFilter` | `getNodeFilter()` Get the underlying node filter object.
`NodeFilter[]` | `getSubNodeFilters()` Get the underlying node filter's subordinate filters.
`void` | `setNodeFilter(NodeFilter filter, Parser context)` Assign the underlying node filter for this wrapper.
`void` | `setSubNodeFilters(NodeFilter[] filters)` Assign the underlying node filter's subordinate filters.
`String` | `toJavaCode(StringBuffer out, int[] context)` Convert this filter into Java code.

Methods inherited from class org.htmlparser.parserapplications.filterbuilder.Filter
`deconstitute, deserialize, getEnclosed, getIcon, instantiate, newline, pickle, reconstitute, serialize, setExpanded, setSelected, spaces, toString, unpickle, wrap`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getAccessibleContext, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getUIClassID, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, paramString, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update, updateUI`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mFilter

    protected NodeClassFilter mFilter

  The underlying filter.

### mClass

    protected JComboBox mClass

  Combo box for strategy.

Constructor Detail

### NodeClassFilterWrapper

    public NodeClassFilterWrapper()

  Create a wrapper over a new NodeClassFilter.

Method Detail

### getDescription

    public String getDescription()

  Get the name of the filter.

  Specified by:
    `getDescription` in class `Filter`
  Returns:
    A descriptive name for the filter.

### getIconSpec

    public String getIconSpec()

  Get the resource name for the icon.

  Specified by:
    `getIconSpec` in class `Filter`
  Returns:
    The icon resource specification.

### getNodeFilter

    public NodeFilter getNodeFilter()

  Get the underlying node filter object.

  Specified by:
    `getNodeFilter` in class `Filter`
  Returns:
    The node filter object suitable for serialization.

### setNodeFilter

    public void setNodeFilter(NodeFilter filter,
                              Parser context)

  Assign the underlying node filter for this wrapper.

  Specified by:
    `setNodeFilter` in class `Filter`
  Parameters:
    `filter` - The filter to wrap.
    `context` - The parser to use for conditioning this filter. Some filters need contextual information to provide to the user, i.e. for tag names or attribute names or values, so the Parser context is provided.

### getSubNodeFilters

    public NodeFilter[] getSubNodeFilters()

  Get the underlying node filter's subordinate filters.

  Specified by:
    `getSubNodeFilters` in class `Filter`
  Returns:
    The node filter object's contained filters.

### setSubNodeFilters

    public void setSubNodeFilters(NodeFilter[] filters)

  Assign the underlying node filter's subordinate filters.

  Specified by:
    `setSubNodeFilters` in class `Filter`
  Parameters:
    `filters` - The filters to insert into the underlying node filter.

### toJavaCode

    public String toJavaCode(StringBuffer out,
                             int[] context)

  Convert this filter into Java code. Output whatever text necessary and return the variable name.

  Specified by:
    `toJavaCode` in class `Filter`
  Parameters:
    `out` - The output buffer.
    `context` - Three integers as follows:
    - indent level - the number of spaces to insert at the beginning of each line
    - filter number - the next available filter number
    - filter array number - the next available array of filters number
  Returns:
    The variable name to use when referencing this filter (usually "filter" + context[1]++)

### accept

    public boolean accept(Node node)

  Predicate to determine whether or not to keep the given node. The behaviour based on this outcome is determined by the context in which it is called. It may lead to the node being added to a list or printed out. See the calling routine for details.

  Specified by:
    `accept` in interface `NodeFilter`
  Parameters:
    `node` - The node to test.
  Returns:
    `true` if the node is to be kept, `false` if it is to be discarded.

### actionPerformed

    public void actionPerformed(ActionEvent event)

  Invoked when an action occurs on the combo box.

  Specified by:
    `actionPerformed` in interface `ActionListener`
  Parameters:
    `event` - Details about the action event.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2005 Derrick Oswald Jun 10, 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

HTML Parser is an open source library released under LGPL. |